Rockbox Technical Forums

Rockbox General => Rockbox General Discussion => Topic started by: upsguy27 on July 11, 2008, 05:43:53 PM

Title: RockboxUtility needs libusb-0.1.4.dylib
Post by: upsguy27 on July 11, 2008, 05:43:53 PM
I'm trying to run RockboxUtility on my Mac, and when I open it, it immediately crashes. I checked the console, and It's looking for libusb-0.1.4.dylib in usr/local/lib/, which isn't there. Where can I get libusb? I went to the sourceforge page for it, and all that was there was a linux repository and the source, which wouldn't compile, and I'm not even sure if it's what I need. Help!
Title: Re: RockboxUtility needs libusb-0.1.4.dylib
Post by: Domonoky on July 11, 2008, 07:19:10 PM
Hi,

the last version(s) of rbutil for mac were unfortunately built incorrectly (not statically linking to libusb and/or not as a universal binary).
All this problems should be now fixed. So please try the newest rbutil version from the wiki.

greets